Skip to main content
`Ctrl`+`K`

# SNESVIComputeFunction

Provides the function that reformulates a system of nonlinear equations in mixed complementarity form to a system of nonlinear equations in semismooth form.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVIComputeFunction(SNES snes, Vec X, Vec phi, void *functx)

## Input Parameters

- snes - the `SNES` context

- X - current iterate

- functx - user defined function context

## Output Parameter

- phi - the evaluation of semismooth function at `X`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESVINEWTONSSLS`, `SNESVIComputeMeritFunction()`

## Level

developer

## Location

src/snes/impls/vi/ss/viss.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages